Talend Studio 6.0.1 Won't Start

One Star

Talend Studio 6.0.1 Won't Start

Hi
I'm attempting to get Talend Studio 6.0.1 working without success. The log reports the error "org.osgi.framework.BundleException: Could not resolve module: org.talend.maven.resolver". The log is attached to this issue.
Here is some environment information

Running Windows 7 64 Bit 
Java 1.7
Running Talend-Studio-win-x86_64.exe

In my attempts so far to fix it I have

Read through the issue ExistingTopic 
Installed MVN
Run "mvn install:install-file -Dfile=C:\Users\<myuser>\Downloads\maven-resources-plugin-2.7.jar -DgroupId=org.apache.maven.plugins -DartifactId=maven-resources-plugin -Dversion=2.7 -Dpackaging=jar"

I would be grateful for any assistance.
workspace-metadata.log.log
Moderator

Re: Talend Studio 6.0.1 Won't Start

Hi,
Did you point java settings to the root JDK folder, and not the JRE?
TalendHelpCenter:Requiring a JDK installation to build jobs starting from version 6.0
Are you behind proxy? Have you already checked KB article about:TalendHelpCenter:Configuring a proxy in the maven setting file?
Could you please paste the whole error log directly into forum?
<Talend Studio installation path>/workspace/.metadata/.log 

Best regards
Sabrina


Best regards
Sabrina
--
Don't forget to give kudos when a reply is helpful and click Accept the solution when you think you're good with it.
One Star

Re: Talend Studio 6.0.1 Won't Start

Hi Sabrina
Yes I have installed and am pointing to a JDK.
We are not accessing Maven via a proxy.
Here is the contents of the log file.
------------------------------------------------------------------------------------------------------------------------------------------
!SESSION 2015-10-27 09:35:41.615 -----------------------------------------------
eclipse.buildId=unknown
java.version=1.7.0_80
java.vendor=Oracle Corporation
BootLoader constants: OS=win32, ARCH=x86_64, WS=win32, NL=en_AU
Command-line arguments:  -os win32 -ws win32 -arch x86_64
!ENTRY org.talend.maven.resolver 4 0 2015-10-27 09:35:42.473
!MESSAGE FrameworkEvent ERROR
!STACK 0
org.osgi.framework.BundleException: Could not resolve module: org.talend.maven.resolver
  Unresolved requirement: Require-Bundle: org.ops4j.pax.url.mvn
    -> Bundle-SymbolicName: org.ops4j.pax.url.mvn; bundle-version="2.4.2.Talend"; singleton:="true"
       org.ops4j.pax.url.mvn
         Unresolved requirement: Import-Package: org.slf4j; version="
  Unresolved requirement: Import-Package: org.slf4j; version="
  Unresolved requirement: Import-Package: org.slf4j; version="
  Unresolved requirement: Require-Capability: eclipse.platform; filter:="(& (osgi.ws=gtk) (osgi.os=linux) (osgi.arch=ppc64))"

!ENTRY org.eclipse.swt.gtk.linux.x86_64 2 0 2015-10-27 09:36:08.934
!MESSAGE Could not resolve module: org.eclipse.swt.gtk.linux.x86_64
  Unresolved requirement: Require-Capability: eclipse.platform; filter:="(& (osgi.ws=gtk) (osgi.os=linux) (osgi.arch=x86_64))"

!ENTRY org.eclipse.equinox.launcher.gtk.solaris.x86 2 0 2015-10-27 09:36:08.934
!MESSAGE Could not resolve module: org.eclipse.equinox.launcher.gtk.solaris.x86
  Unresolved requirement: Require-Capability: eclipse.platform; filter:="(& (osgi.ws=gtk) (osgi.os=solaris) (osgi.arch=x86))"

!ENTRY org.eclipse.swt.win32.win32.x86 2 0 2015-10-27 09:36:08.934
!MESSAGE Could not resolve module: org.eclipse.swt.win32.win32.x86
  Unresolved requirement: Require-Capability: eclipse.platform; filter:="(& (osgi.ws=win32) (osgi.os=win32) (osgi.arch=x86))"

!ENTRY org.eclipse.equinox.launcher.gtk.solaris.sparc 2 0 2015-10-27 09:36:08.934
!MESSAGE Could not resolve module: org.eclipse.equinox.launcher.gtk.solaris.sparc
  Unresolved requirement: Require-Capability: eclipse.platform; filter:="(& (osgi.ws=gtk) (osgi.os=solaris) (osgi.arch=sparc))"

!ENTRY org.eclipse.equinox.launcher.gtk.linux.ppc 2 0 2015-10-27 09:36:08.934
!MESSAGE Could not resolve module: org.eclipse.equinox.launcher.gtk.linux.ppc
  Unresolved requirement: Require-Capability: eclipse.platform; filter:="(& (osgi.ws=gtk) (osgi.os=linux) (osgi.arch=ppc))"

!ENTRY org.eclipse.swt.gtk.solaris.x86 2 0 2015-10-27 09:36:08.934
!MESSAGE Could not resolve module: org.eclipse.swt.gtk.solaris.x86
  Unresolved requirement: Require-Capability: eclipse.platform; filter:="(& (osgi.ws=gtk) (osgi.os=solaris) (osgi.arch=x86))"

!ENTRY org.eclipse.equinox.launcher.gtk.linux.x86 2 0 2015-10-27 09:36:08.934
!MESSAGE Could not resolve module: org.eclipse.equinox.launcher.gtk.linux.x86
  Unresolved requirement: Require-Capability: eclipse.platform; filter:="(& (osgi.ws=gtk) (osgi.os=linux) (osgi.arch=x86))"

!ENTRY org.eclipse.equinox.launcher.cocoa.macosx.x86_64 2 0 2015-10-27 09:36:08.934
!MESSAGE Could not resolve module: org.eclipse.equinox.launcher.cocoa.macosx.x86_64
  Unresolved requirement: Require-Capability: eclipse.platform; filter:="(& (osgi.ws=cocoa) (osgi.os=macosx) (osgi.arch=x86_64) )"

!ENTRY org.eclipse.swt.gtk.linux.ppc 2 0 2015-10-27 09:36:08.934
!MESSAGE Could not resolve module: org.eclipse.swt.gtk.linux.ppc
  Unresolved requirement: Require-Capability: eclipse.platform; filter:="(& (osgi.ws=gtk) (osgi.os=linux) (osgi.arch=ppc))"

!ENTRY org.eclipse.equinox.launcher.win32.win32.x86 2 0 2015-10-27 09:36:08.934
!MESSAGE Could not resolve module: org.eclipse.equinox.launcher.win32.win32.x86
  Unresolved requirement: Require-Capability: eclipse.platform; filter:="(& (osgi.ws=win32) (osgi.os=win32) (osgi.arch=x86))"

!ENTRY org.talend.maven.resolver 2 0 2015-10-27 09:36:08.934
!MESSAGE Could not resolve module: org.talend.maven.resolver
  Unresolved requirement: Require-Bundle: org.ops4j.pax.url.mvn
    -> Bundle-SymbolicName: org.ops4j.pax.url.mvn; bundle-version="2.4.2.Talend"; singleton:="true"
       org.ops4j.pax.url.mvn
         Unresolved requirement: Import-Package: org.slf4j; version="
  Unresolved requirement: Require-Capability: eclipse.platform; filter:="(& (osgi.ws=gtk) (osgi.os=linux) (osgi.arch=x86_64))"

!ENTRY org.eclipse.swt.gtk.linux.x86 2 0 2015-10-27 09:36:08.934
!MESSAGE Could not resolve module: org.eclipse.swt.gtk.linux.x86
  Unresolved requirement: Require-Capability: eclipse.platform; filter:="(& (osgi.ws=gtk) (osgi.os=linux) (osgi.arch=x86))"

!ENTRY org.eclipse.swt.gtk.solaris.sparc 2 0 2015-10-27 09:36:08.934
!MESSAGE Could not resolve module: org.eclipse.swt.gtk.solaris.sparc
  Unresolved requirement: Require-Capability: eclipse.platform; filter:="(& (osgi.ws=gtk) (osgi.os=solaris) (osgi.arch=sparc))"

!ENTRY org.eclipse.swt.cocoa.macosx.x86_64 2 0 2015-10-27 09:36:08.934
!MESSAGE Could not resolve module: org.eclipse.swt.cocoa.macosx.x86_64
  Unresolved requirement: Require-Capability: eclipse.platform; filter:="(& (osgi.ws=cocoa) (osgi.os=macosx) (osgi.arch=x86_64) )"

!ENTRY org.eclipse.swt.gtk.linux.ppc64 2 0 2015-10-27 09:36:08.934
!MESSAGE Could not resolve module: org.eclipse.swt.gtk.linux.ppc64
  Unresolved requirement: Require-Capability: eclipse.platform; filter:="(& (osgi.ws=gtk) (osgi.os=linux) (osgi.arch=ppc64))"

!ENTRY org.eclipse.osgi 4 0 2015-10-27 09:36:08.950
!MESSAGE Application error
!STACK 1
java.io.IOException: Access is denied
at java.io.WinNTFileSystem.createFileExclusively(Native Method)
at java.io.File.createNewFile(Unknown Source)
at org.talend.configurator.common.utils.Utils.storeLicenseFile(Utils.java:441)
at org.talend.configurator.common.utils.Utils.storeLicenseAndUpdateConfig(Utils.java:236)
at org.talend.license.gui.Application.start(Application.java:48)
at org.eclipse.equinox.internal.app.EclipseAppHandle.run(EclipseAppHandle.java:196)
at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication(EclipseAppLauncher.java:134)
at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start(EclipseAppLauncher.java:104)
at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:380)
at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:235)
at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
at sun.reflect.NativeMethodAccessorImpl.invoke(Unknown Source)
at sun.reflect.DelegatingMethodAccessorImpl.invoke(Unknown Source)
at java.lang.reflect.Method.invoke(Unknown Source)
at org.eclipse.equinox.launcher.Main.invokeFramework(Main.java:648)
at org.eclipse.equinox.launcher.Main.basicRun(Main.java:603)
at org.eclipse.equinox.launcher.Main.run(Main.java:1465)
at org.eclipse.equinox.launcher.Main.main(Main.java:1438)
One Star

Re: Talend Studio 6.0.1 Won't Start

Hi Sabrina
I was doing the Manual Installation. I have changed and have run the automatic Installation. This has worked and I now have a working Talend Studio working.
Thanks.
Moderator

Re: Talend Studio 6.0.1 Won't Start

Hi peter.jenks,
Great it is working. Can we consider this topic as resolved? Feel free to let us know if there is any further help we can give.
Best regards
Sabrina
--
Don't forget to give kudos when a reply is helpful and click Accept the solution when you think you're good with it.